Topology level simplify tool
Status: Open

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12146

Description

It would be very useful to have a topology-aware simplify tool.

A topology aware tool would simplify only EDGES of the topology rather

than full geometries. This would prevent those funny effects on crossborder lines

being simplified in a different way.

I saw the topology support is already in somehow, as the node tool is able to edit

multiple edges at once when moving a node.

Another alternative would be allowing for simplify tool to specify first and last point

manually (more work for the user but still less than clean up after feature-level simplification)

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2013-09-12 04:07 AM - Sandro Santilli

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

didn't someone do this in a plugin ? What was the name ? The feature request may be considered closed by such plugin...

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-01-25 08:33 PM - Paolo Cavallini

- Description updated

This can be done with v.generalize GRASS Processing module
